Bug 238269 - Install from Live CD to disk may fail if multiple volume groups are present on system
Install from Live CD to disk may fail if multiple volume groups are present o...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Peter Jones
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-28 12:36 EDT by Peter Trenholme
Modified: 2008-05-06 21:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:35:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Trenholme 2007-04-28 12:36:40 EDT
Description of problem: When a volume group is present on a system, and
installation from a Live CD is used to create a new volume group (with a
different name), the initial ram disk image created may attempt to activate the
existing logical volume instead of the new volume into which the disk image was
copied.


Version-Release number of selected component (if applicable):
Actually, this bug should go to "rawhide" "live cd" "installation," but none of
those options were available.


How reproducible: Tried it twice (using different volume group names)


Steps to Reproduce:
1. Have FC6 installed in, say, a "Fedora" volume group
2. Use the Live CD install option to install into a newly created VG, say "FC7."
3. Attempt to boot to the newly installed disk image
  
Actual results: Kernel panic, "Fedora" activated instead of "FC7"


Expected results: Boot to installation in FC7 volume group


Additional info:

1. Editing the "nash" script to reference the correct volume group, and
rebuilding the initial ram disk image fixes the problem.

2. Updating the kernel after the system is running does not cause the problem to
reoccur.

3. I feel this should be a low priority problem since few users choose to have
multiple volume groups on their Fedora systems, and the work-around is fairly
straight-forward.
Comment 1 Bug Zapper 2008-04-03 20:20:38 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Bug Zapper 2008-05-06 21:35:50 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.